curl -X POST https://rolearn.dev/api/auth/register \
-H "Content-Type: application/json" \
-d '{"email": "dev@example.com", "password": "securepass123"}'
{
"access_token": "eyJhbGciOiJIUzI1NiIs...",
"token_type": "bearer"
}
Authentication
Register
Create a new RoLearn account
POST
/
api
/
auth
/
register
curl -X POST https://rolearn.dev/api/auth/register \
-H "Content-Type: application/json" \
-d '{"email": "dev@example.com", "password": "securepass123"}'
{
"access_token": "eyJhbGciOiJIUzI1NiIs...",
"token_type": "bearer"
}
string
required
User’s email address
string
required
Password (minimum 6 characters)
curl -X POST https://rolearn.dev/api/auth/register \
-H "Content-Type: application/json" \
-d '{"email": "dev@example.com", "password": "securepass123"}'
{
"access_token": "eyJhbGciOiJIUzI1NiIs...",
"token_type": "bearer"
}
You can also create an account via OAuth (Google / Roblox / Discord / Twitter-X)
instead of email + password.

